/*
 * This class holds the wight of an edge.
 * There are components to a weight:
 * 
 * 1. The total weight
 * 2. Weight due to incoming edges
 * 3. Weight due to outgoing edges.
 * 
 * Note that the total weight is the sum of items 2 and 3. 
 * Item 1 is surely redundant but helps in coding
 * the sort and other algorithms.
 * 
 * Aditya Mathur
 * Original: August 2, 2011
 */

public class EdgeWeight{
    int weight; // Weight of each edge, used in Tai-Daniels algorithm.
    int weightIn;// Weight due to edges incoming into source node.
    int weightOut; // WEight due to edges outgoing from destination node.
    
    
    public EdgeWeight(int w, int i, int o){
        weight=w;
        weightIn=i;
        weightOut=o;
    }  
    
      public int getWeight(){
        return weight;
    }
    public int getWeightIn(){
        return weightIn;
    }
    
      public int getWeightOut(){
        return weightOut;
    }
}// End of class EdgeWeight