

/*
 * This class uses CreateRandom ORD to=generate a random ORD.
 * THis ORD is ritten into a file. 
 * It is useful for testing integration test order determination algorithms.
 * 
 * Designed and Coded by: Aditya Mathur
 * First Version: Sunday, January 29, 2012
 * 
 * 
 */


import java.util.*;
import java.io.*;

public class GenerateORD {
  
  // Object Relation Diagram as a graph. Attributes of nodes in this
  // graph are modified as the Tai-Daniels algorithm progresses.
  Graph g; 
  
  CreateRandomORD cg; // This object creates a random ORD.
  
  // The constructor creates a graph g from an input text file.
  
  public GenerateORD(String fileDestination)throws IOException{
    // TD algorithm Step 1: Read a graph from a file.
      System.out.println("Welcome to Random ORD Generation. V1. January 30. 2012");
   
    cg=new CreateRandomORD();
    boolean staticOnly=true;
    cg.CreateRandomORD(fileDestination, staticOnly);
    
  }// End of GenerateORD constructor
  
  // Program to test the implementation of GenerateORD.
  
  public static void main(String[] args) throws IOException{
      
      Scanner s=new Scanner(System.in);
      boolean done=false; // Indicates whether or more additional ORDs are to be created.
      
      while(!done){
          
          GenerateORD b=new  GenerateORD("../TestGraphs/SecondEditionExperiments/");
          
          if(Utilities.graphDisplayDebug){
              System.out.println("\nUpdated Graph:");
              Utilities.displayGraph(b.g);
          }
          
          
          System.out.println("Generate another ORD (Enter Y for Yes and N for No): " );
          String yesNo=s.next();
          if(yesNo.equalsIgnoreCase("N")){
              done=true;
          }else{
              System.out.println("\nGenerate new ORD");
          }
          
      }// End of ORD creation loop.
      
      System.out.println("Thank you for using ORD generator.");
      
  }// End of main()
}// End of class GenerateORD.
  
