/*
 * This class holds a stub object. This object
 * contains the node for which a stub is to be created
 * and a list of nodes that might use this stub.
 * Each node in the usedByNodes list has at least one
 * edge terminating at the stubNode.
 * 
 * * Aditya Mathur
 * 
 * July 26-27, 2011
 */
import java.util.*;
public class Stub{
    Node stubNode; // Node for which a stub is to be created
    ArrayList<Node> usedByNodes; // Nodes that might use the stub created.
    
    public Stub(){
        stubNode=new Node();
        usedByNodes=new ArrayList<Node>();
        
    }
    public Stub(Node s, ArrayList<Node> u){
        stubNode=new Node();
        usedByNodes=new ArrayList<Node>();
        stubNode=s;
        usedByNodes=u;
    }
    
    public Stub(Node s){
        stubNode=new Node();
        usedByNodes=new ArrayList<Node>( );
        stubNode=s;
    }
    
    public Node getStubNode(){
        return stubNode;
    }
    
    public ArrayList<Node> getUsedByNodes(){
        return usedByNodes;
    }
    
    public void addUsedByNode(Node n){
        usedByNodes.add(n);
    }
    
}