
/*
 * Bidirectional aggregation example.
 * 
 * Aditya Mathur
 * 
 * July 26, 2011
 */

import java.util.*;
public class Student{
  
  String name;
  String id;
  ArrayList<Course> enrolled=new ArrayList<Course> ();
  
  public Student(String name, String id){
    this.name=name;
    this.id=id;
    enrolled=new ArrayList<Course> ();
  }
  
  public String getName(){
    return name;
  }
  
  public void addCourse(String title, String session){
    enrolled.add(new Course(title, session));
  }
  
  public void printCourseList(){
    Iterator<Course> itr=enrolled.iterator();
    int serial=0;
    System.out.println("Course list for "+name);
    while(itr.hasNext()){
      Course next=itr.next();
      serial++;
      System.out.println(serial+ " "+next.getCourseString()); 
    }
    
  }
}